WIMAX_RESET(9)

NAME
wimax_reset - Reset a WiMAX device

SYNOPSIS

int wimax_reset(struct wimax_dev * wimax_dev);

ARGUMENTS

wimax_dev
    WiMAX device descriptor

RETURNS

0 if ok and a warm reset was done (the device still exists in the system).

-ENODEV if a cold/bus reset had to be done (device has disconnected and reconnected, so current handle is not valid any more).

-EINVAL if the device is not even registered.

Any other negative error code shall be considered as non-recoverable.

DESCRIPTION

Called when wanting to reset the device for any reason. Device is taken back to power on status.

This call blocks; on successful return, the device has completed the reset process and is ready to operate.

COPYRIGHT